# RSL_volume_to_cube

### Synopsis

#include "rsl.h"
Cube *RSL_volume_to_cube(Volume *v, float dx, float dy, float dz, int nx, int ny, int nz, float grnd_r, int radar_x, int radar_y, int radar_z)

###

Description

Convert polar coordinate Volume v into cube cartesean coordinates. This routine allocates space for the cube header and an array of pointers to carpi's. The routine RSL_volume_to_carpi is called for each dz.

dx, dy, dz specify the kilometer resolution of each cubic cell.
nx, ny, nz specify the cube dimensions.
grnd_r specifies the maximum ground range to load from the volume.
radar_x, radar_y, radar_z specify the location within the cube for the radar. Typically, radar_z equals 0 as there is no data below the radar. Specify dx/2 and dy/2 for radar_x and radar_y to center the radar within the cube.

### Return value

Upon successful completion, a pointer to the appropriate structure is returned. Otherwise, a NULL pointer is returned and errno is set.

### See also

RSL_get_slice_from_cube, RSL_volume_to_carpi

Author: Mike Kolander